{
  "version": "0.2.0",
  "configurations": [
    {
      "name": "Launch ASP.NET Core backend",
      "type": "coreclr",
      "request": "launch",
      "preLaunchTask": "build-all",
      "program": "Server.dll",
      "args": [],
      "cwd": "${workspaceFolder}/debug/",
      "stopAtEntry": false,
      "serverReadyAction": {
        "action": "openExternally",
        "pattern": "\\bNow listening on:\\s+(https?://\\S+)"
      },
      "env": {
        "ASPNETCORE_ENVIRONMENT": "Development",
        "PaymentService": "StripeIntent"
      },
      "sourceFileMap": {
        "/Views": "${workspaceFolder}/Views"
      }
    }
  ]
}